package com.platform.yijia.param.request;

import lombok.Data;

@Data
public class PayOrderRequest {

    private String orderNo;
    private String oilGun;
    private String oilName;
    private String token;
    private String amt;
    private Integer stationId;
    private String status;
    private String orderLiters;
    private String payType;
    private String payWay;
    private String userType;
    private String oilPersonnel;
    private String orderType;
    private Double receivableAmt;   //应收金额
    private Double receivedAmt;    //到账金额
    private String discountCoupon;  //优惠券
    private Double discountAmt;    //优惠金额
    private Double discountCouponAmt; //优惠券金额
    private Double wxAmt; //微信支付金额
    private Double zfbAmt; //支付宝支付金额
    private Double posAmt; //pos支付金额
    private Double xjAmt; //现金支付金额
    private Double didiAppAmt; //滴滴app支付金额
    private Double tyAppAmt; //团油app支付金额
    private Double otherAmt; //其他支付金额
    private Double dzkAmt; //电子卡金额
    private Integer score; //消费积分
    private String memberNo; //会员卡号
    private Double memberAmt; //会员支付金额
    private Integer printCount; //打印小票数量
    private String carNo; //车牌号
    private String customerPhone; //客户电话
    private String customerGrade; //客户等级
    private String oilType; //油品类型



}
